package com.persagy.dmp.auth.service.impl;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * 运维平台2.0 鉴权实现类
 * 从head中获取上下文信息，并校验集团、项目是否有效
 * @author Charlie Yu
 * @date 2021-11-02
 */
public class EmsAuthServiceImpl extends AbstractAuthServiceImpl {

    @Override
    public void loginSuccess(HttpServletRequest request, HttpServletResponse response) {
        super.loginSuccess(request, response);
        loadContextByRequest(request);
        // TODO 验证集团是否有效、验证项目是否匹配集团、没有集团编码时根据项目匹配集团
    }
}
